CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Cesky English Deutsch
Login/Register:
 Visitors: 2097 
Plex.Earth connects AutoCAD and Google Earth

CAD tip CAD tip # 2130:

Question CAD 
 %  platform  category 
Q - question

How to select objects with negative Z coordinate?

A - answer How to select AutoCAD entities laying under the "zero level" (Z=0, Z<0)?
Try the following SelNegZ LISP routine (you can e.g. hit Del to delete the selected objects):

;(C) CAD Studio - www.cadstudio.cz
;select objects with negative Z coordinate 

(defun C:SelNegZ ()
 (setvar "CMDECHO" 0)
 (command "_UCS" "")
 (command "_VPOINT" "0,-1,0")
 (command "_SELECT" "_W" (getvar "EXTMIN") (list (car (getvar "EXTMAX")) -0.000001) "")
 (command "_ZOOM" "_P")
 (sssetfirst nil (ssget "_P"))
 (setvar "CMDECHO" 1)
 (prin1)
)
ACAD
100% *  CAD 
25.4.2002    6757x  
Comments   Tell a friend
applies to: AutoCAD ·

See also:
Tip 10229:How to find 3DFaces with degenerated vertices?
Tip 872:How to move (flatten) entities with varying Z-coordinates to Z=0?


Back   All CAD Tips All CAD tips&tricks

Why are cursor crosshairs rotated even if I have world UCS and plan view? « | » Is it possible to change the function of the F1 key?

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Increase your productivity with our set of add-on functions for AutoCAD Civil 3D
CADstudio Civil Tools More info


Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist